<?php

/**
 * The template for displaying the footer
 *
 * Contains the opening of the #site-footer div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Dumbo
 * @since 1.0.0
 */ ?>

</div>

<?php if (is_active_sidebar('dumbo-offcanvas-widget')) : ?>
    <div id="sidr-nav">
        <a class="skip-link-offcanvas-first" href="javascript:void(0)"></a>
        <a class="sidr-offcanvas-close" href="#sidr-nav">
            <span>
                <?php echo esc_html__('Close', 'dumbo'); ?>
            </span>
        </a>
        <div class="sidr-area">
            <?php dynamic_sidebar('dumbo-offcanvas-widget'); ?>
        </div>
        <a class="skip-link-offcanvas-last" href="javascript:void(0)"></a>
    </div>
<?php endif; ?>

<?php
/**
 * Toogle Contents
 * @hooked dumbo_header_toggle_search - 10
 * @hooked dumbo_content_offcanvas - 30
 */

do_action('dumbo_before_footer_content_action'); ?>
<?php do_action('dumbo_footer_widget_content_action'); ?>

</div><!-- #page -->

<footer id="site-footer" role="contentinfo">
    <?php
    /**
     * Footer Content
     * @hooked dumbo_footer_content_info - 20
     */

    do_action('dumbo_footer_content_action'); ?>

</footer>

<?php wp_footer(); ?>

</body>

</html>