<?php

/**
 * Pagination Settings
 *
 * @package Dumbo
 */

$dumbo_default = dumbo_get_default_theme_options();

// Homepage About section settings.
$wp_customize->add_section(
    'homepage_about_Section',
    array(
        'title'      => esc_html__('About Section Settings', 'dumbo'),
        'capability' => 'edit_theme_options',
        'panel'      => 'homepage_option_panel',
    )
);

$wp_customize->add_setting(
    'ed_about_section',
    array(
        'default' => $dumbo_default['ed_about_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'ed_about_section',
    array(
        'label' => esc_html__('Enable About Section', 'dumbo'),
        'section' => 'homepage_about_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('select_page_for_about', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'dumbo_sanitize_dropdown_pages',
));

$wp_customize->add_control(
    'select_page_for_about',
    array(
        'label'             => __('Select About Page', 'dumbo'),
        'section'           => 'homepage_about_Section',
        'type'              => 'dropdown-pages',
        'allow_addition' => true,
    )
);

$wp_customize->add_setting(
    'about_section_sub_image',
    array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_section_sub_image',
        array(
            'label'      => esc_html__('Upload About Section Sub Image', 'dumbo'),
            'section'    => 'homepage_about_Section',
        )
    )
);
