<?php
/**
* Banner Slider Section
*
* @package Dumbo
*/

$dumbo_default = dumbo_get_default_theme_options();
$dumbo_post_category_list = dumbo_post_category_list();

// Slider Section.
$wp_customize->add_section( 'dumbo_banner_slider_section',
	array(
	'title'      => esc_html__( 'Banner Slider Post Settings', 'dumbo' ),
	'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
	)
);

$wp_customize->add_setting('ed_banner_slider_section',
    array(
        'default' => $dumbo_default['ed_banner_slider_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_banner_slider_section',
    array(
        'label' => esc_html__('Enable Banner Slider', 'dumbo'),
        'section' => 'dumbo_banner_slider_section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('ed_banner_slider_wide_layout_section',
    array(
        'default' => $dumbo_default['ed_banner_slider_wide_layout_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_banner_slider_wide_layout_section',
    array(
        'label' => esc_html__('Enable Wide Layout', 'dumbo'),
        'section' => 'dumbo_banner_slider_section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('mg_banner_slider_section_cat',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_select',
    )
);
$wp_customize->add_control('mg_banner_slider_section_cat',
    array(
        'label' => esc_html__('Choose category for Banner Slider', 'dumbo'),
        'section' => 'dumbo_banner_slider_section',
        'type' => 'select',
        'choices' => $dumbo_post_category_list,
    )
);

$wp_customize->add_setting('ed_banner_slider_autoplay',
    array(
        'default' => $dumbo_default['ed_banner_slider_autoplay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_banner_slider_autoplay',
    array(
        'label' => esc_html__('Enable Autoplay', 'dumbo'),
        'section' => 'dumbo_banner_slider_section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_banner_slider_arrow',
    array(
        'default' => $dumbo_default['ed_banner_slider_arrow'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_banner_slider_arrow',
    array(
        'label' => esc_html__('Enable Arrow', 'dumbo'),
        'section' => 'dumbo_banner_slider_section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_banner_slider_dots',
    array(
        'default' => $dumbo_default['ed_banner_slider_dots'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_banner_slider_dots',
    array(
        'label' => esc_html__('Enable Dots', 'dumbo'),
        'section' => 'dumbo_banner_slider_section',
        'type' => 'checkbox',
    )
);