<?php
/**
* Color Settings.
*
* @package Dumbo
*/

$dumbo_default = dumbo_get_default_theme_options();

$wp_customize->add_setting( 'dumbo_primary_color',
    array(
    'default'           => $dumbo_default['dumbo_primary_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'dumbo_primary_color', 
    array(
        'label'      => esc_html__( 'Primary Color', 'dumbo' ),
        'section'    => 'colors',
        'settings'   => 'dumbo_primary_color',
    ) ) 
);

$wp_customize->add_setting( 'dumbo_secondary_color',
    array(
    'default'           => $dumbo_default['dumbo_secondary_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'dumbo_secondary_color', 
    array(
        'label'      => esc_html__( 'Secondary Color', 'dumbo' ),
        'section'    => 'colors',
        'settings'   => 'dumbo_secondary_color',
    ) ) 
);

$wp_customize->add_setting( 'dumbo_general_color',
    array(
    'default'           => $dumbo_default['dumbo_general_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'dumbo_general_color', 
    array(
        'label'      => esc_html__( 'General Color', 'dumbo' ),
        'section'    => 'colors',
        'settings'   => 'dumbo_general_color',
    ) ) 
);

$wp_customize->add_setting(
    'dumbo_premium_notiece_color_schema',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Dumbo_Premium_Notiece_Control( 
        $wp_customize,
        'dumbo_premium_notiece_color_schema',
        array(
            'label'      => esc_html__( 'Color Schemes', 'dumbo' ),
            'settings' => 'dumbo_premium_notiece_color_schema',
            'section'       => 'color_scheme',
        )
    )
);


$wp_customize->add_setting(
    'dumbo_premium_notiece_color',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Dumbo_Premium_Notiece_Control( 
        $wp_customize,
        'dumbo_premium_notiece_color',
        array(
            'label'      => esc_html__( 'Color Options', 'dumbo' ),
            'settings' => 'dumbo_premium_notiece_color',
            'section'       => 'colors',
        )
    )
);