<?php
/**
 * Pagination Settings
 *
 * @package Dumbo
 */

$dumbo_default = dumbo_get_default_theme_options();

// Homepage Contact section settings.
$wp_customize->add_section( 'homepage_contact_Section',
    array(
    'title'      => esc_html__( 'Contact Section Settings', 'dumbo' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
    )
);

$wp_customize->add_setting('ed_contact_section',
    array(
        'default' => $dumbo_default['ed_contact_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_contact_section',
    array(
        'label' => esc_html__('Enable Contact Section', 'dumbo'),
        'section' => 'homepage_contact_Section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting( 'select_page_for_contact', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'dumbo_sanitize_dropdown_pages',
) );

$wp_customize->add_control( 'select_page_for_contact', array(
    'label'             => __( 'Select Contact Page', 'dumbo' ) ,
    'section'           => 'homepage_contact_Section',
    'type'              => 'dropdown-pages',
    'allow_addition' => true,
    )
);


$wp_customize->add_setting('contact_section_location',
    array(
        'default'           => $dumbo_default['contact_section_location'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_location',
    array(
        'label'       => esc_html__('Contact Location', 'dumbo'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_email',
    array(
        'default'           => $dumbo_default['contact_section_email'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_email',
    array(
        'label'       => esc_html__('Contact Email', 'dumbo'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_number',
    array(
        'default'           => $dumbo_default['contact_section_number'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_number',
    array(
        'label'       => esc_html__('Contact Number', 'dumbo'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_bg_image',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_image',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control($wp_customize, 'contact_section_bg_image',
        array(
            'label'       => esc_html__('Upload Section Background Image ', 'dumbo'),
            'section'     => 'homepage_contact_Section',
        )
    )
);

$wp_customize->add_setting('contact_form_shortcode',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_form_shortcode',
    array(
        'label' => esc_html__('Contact Form Shortcode', 'dumbo'),
        'section' => 'homepage_contact_Section',
        'type' => 'textarea',
    )
);