<?php
/**
 * Default Values.
 *
 * @package Dumbo
 */

if ( ! function_exists( 'dumbo_get_default_theme_options' ) ) :

    /**
     * Get default theme options
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function dumbo_get_default_theme_options() {

        $dumbo_defaults = array();
        // Options.
        $dumbo_defaults['logo_width_range']                       = 500;
        
        $dumbo_defaults['dumbo_pagination_layout']      = 'numeric';
        $dumbo_defaults['footer_column_layout']                       = 3;
        $dumbo_defaults['footer_copyright_text']                      = esc_html__( 'All rights reserved.', 'dumbo' );
        $dumbo_defaults['ed_header_search']                           = 1;
        $dumbo_defaults['ed_image_content_inverse']                   = 0;
        $dumbo_defaults['ed_related_post']                            = 1;
        $dumbo_defaults['related_post_title']                         = esc_html__('Related Post','dumbo');
        $dumbo_defaults['twp_navigation_type']                        = 'norma-navigation';
        $dumbo_defaults['ed_post_author']                             = 1;
        $dumbo_defaults['ed_post_date']                               = 1;
        $dumbo_defaults['ed_post_category']                           = 1;
        $dumbo_defaults['ed_post_tags']                               = 1;
        $dumbo_defaults['ed_floating_next_previous_nav']               = 1;
        $dumbo_defaults['ed_footer_copyright']                        = 1;

        $dumbo_defaults['ed_banner_slider_section']                = 1;
        $dumbo_defaults['ed_banner_slider_wide_layout_section']    = 1;
        $dumbo_defaults['ed_banner_slider_autoplay']               = 1;
        $dumbo_defaults['ed_banner_slider_arrow']                  = 1;
        $dumbo_defaults['ed_banner_slider_dots']                   = 1;
        

        // Default Color
        $dumbo_defaults['background_color']          = 'f16232';
        $dumbo_defaults['dumbo_primary_color']          = '#000000';
        $dumbo_defaults['dumbo_secondary_color']        = '#F16232';
        $dumbo_defaults['dumbo_general_color']        = '#2a2c29';

        // Simple Color
        $dumbo_defaults['dumbo_primary_color_dark']          = '#007CED';
        $dumbo_defaults['dumbo_secondary_color_dark']        = '#fb7268';
        $dumbo_defaults['dumbo_general_color_dark']        = '#ffffff';

        // Fancy Color
        $dumbo_defaults['dumbo_primary_color_fancy']          = '#017eff';
        $dumbo_defaults['dumbo_secondary_color_fancy']        = '#fc9285';
        $dumbo_defaults['dumbo_general_color_fancy']        = '#455d58';

        //related post
        $dumbo_defaults['ed_related_post']                       = 0;
        $dumbo_defaults['homepage_relate_post_title_text']     =  esc_html__( 'You May Like posts', 'dumbo' );


        $dumbo_defaults['ed_open_link_new_tab']                       = 0;
        $dumbo_defaults['ed_header_banner']                           = 1;
        $dumbo_defaults['ed_post_excerpt']            = 1;
        // homepage about
        $dumbo_defaults['ed_about_section']                      = 0;

        // category section
        $dumbo_defaults['ed_category_section']                   = 0;
        $dumbo_defaults['category_title_text_color']             = '#000000';
        $dumbo_defaults['ed_category_image_overlay']             = 0;

        
        // homepage cta
        $dumbo_defaults['ed_cta_section']                        = 0;
        $dumbo_defaults['ed_cta_post_excerpt']                  = 0;
        $dumbo_defaults['cta_link_tab']                          = 0;
        $dumbo_defaults['homepage_cta_button_text']              =  esc_html__( 'Read the whole story', 'dumbo' );
        $dumbo_defaults['homepage_cta_button_text_url']          = '';
        $dumbo_defaults['dumbo_cta_text_color']         = '#fff';

        // homepage contact 
        $dumbo_defaults['ed_contact_section']                       = 0;
        $dumbo_defaults['contact_section_location']                 = '';
        $dumbo_defaults['contact_section_email']                    = '';
        $dumbo_defaults['contact_section_number']                   = '';



        // Newsletter
        $dumbo_defaults['ed_mailchimp_newsletter_section'] = '';
        $dumbo_defaults['twp_newsletter_title_section'] = esc_html__('Sign Up to Our Newsletter', 'dumbo');
        $dumbo_defaults['twp_newsletter_desc_section'] = esc_html__('Get notified about exclusive offers every week!', 'dumbo');
        $dumbo_defaults['dumbo_newsletter_bg_color']             = '#EC9578';
        $dumbo_defaults['dumbo_newsletter_text_color']             = '#2a2c29';

        $dumbo_defaults['ed_mailchimp_newsletter'] = '';
        $dumbo_defaults['ed_mailchimp_newsletter_home_only'] = '';
        $dumbo_defaults['ed_mailchimp_newsletter_first_loading_only'] = '';
        $dumbo_defaults['twp_newsletter_title'] = esc_html__('Sign Up to Our Newsletter', 'dumbo');
        $dumbo_defaults['twp_newsletter_desc'] = esc_html__('Get notified about exclusive offers every week!', 'dumbo');

        $dumbo_defaults['home_section_arrange_vals_3']     =  'dumbo_banner_slider_section,homepage_about_Section,homepage_category_Section,homepage_cta_Section,static_front_page,homepage_contact_Section,homepage_related_post_Section,twp_mailchimp_newsletter';

        // Pass through filter.
        $dumbo_defaults = apply_filters( 'dumbo_filter_default_theme_options', $dumbo_defaults );

        return $dumbo_defaults;

    }

endif;
