<?php
/**
 * Pagination Settings
 *
 * @package Dumbo
 */

$dumbo_default = dumbo_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'dumbo_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'dumbo' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'dumbo_pagination_layout',
	array(
	'default'           => $dumbo_default['dumbo_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'dumbo_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'dumbo' ),
	'section'     => 'dumbo_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','dumbo'),
		'numeric' => esc_html__('Numeric Method','dumbo'),
		'load-more' => esc_html__('Ajax Load More Button','dumbo'),
		'auto-load' => esc_html__('Ajax Auto Load','dumbo'),
	),
	)
);