<?php
/**
* Single Post Options.
*
* @package Dumbo
*/

$dumbo_default = dumbo_get_default_theme_options();
$dumbo_post_category_list = dumbo_post_category_list();

$wp_customize->add_section( 'homepage_related_post_Section',
    array(
    'title'      => esc_html__( 'Related Post Settings', 'dumbo' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
    )
);

$wp_customize->add_setting('ed_related_post',
    array(
        'default' => $dumbo_default['ed_related_post'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_related_post',
    array(
        'label' => esc_html__('Enable Related Posts', 'dumbo'),
        'section' => 'homepage_related_post_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('homepage_relate_post_title_text',
    array(
        'default'           => $dumbo_default['homepage_relate_post_title_text'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('homepage_relate_post_title_text',
    array(
        'label'       => esc_html__('Related Post Title', 'dumbo'),
        'section'     => 'homepage_related_post_Section',
        'type'        => 'text',
    )
);
$wp_customize->add_setting( 'dumbo_related_post_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'dumbo_sanitize_select',
    )
);
$wp_customize->add_control( 'dumbo_related_post_cat',
    array(
    'label'       => esc_html__( 'Related Post Category', 'dumbo' ),
    'section'     => 'homepage_related_post_Section',
    'type'        => 'select',
    'choices'     => $dumbo_post_category_list,
    )
);

