<?php
/**
 * Pagination Settings
 *
 * @package Dumbo
 */

$dumbo_default = dumbo_get_default_theme_options();

// Homepage Category section settings.
$wp_customize->add_section( 'homepage_category_Section',
    array(
    'title'      => esc_html__( 'Category Section Settings', 'dumbo' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
    )
);

$wp_customize->add_setting('ed_category_section',
    array(
        'default' => $dumbo_default['ed_category_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_category_section',
    array(
        'label' => esc_html__('Enable Category Section', 'dumbo'),
        'section' => 'homepage_category_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('homepage_category_section_title',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('homepage_category_section_title',
    array(
        'label'       => esc_html__('Section Title', 'dumbo'),
        'section'     => 'homepage_category_Section',
        'type'        => 'text',
    )
);


$wp_customize->add_setting('ed_category_image_overlay',
    array(
        'default' => $dumbo_default['ed_category_image_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dumbo_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_category_image_overlay',
    array(
        'label' => esc_html__('Enable Category Image Overlay', 'dumbo'),
        'section' => 'homepage_category_Section',
        'type' => 'checkbox',
    )
);

for ( $dumbo_j=1; $dumbo_j <=  3 ; $dumbo_j++ ) {
    $wp_customize->add_setting('select_category_for_cat_list_'. $dumbo_j,
        array(
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(new Dumbo_Dropdown_Taxonomies_Control($wp_customize, 'select_category_for_cat_list_'. $dumbo_j,
        array(
            'label'           => esc_html__('Category To List', 'dumbo') . ' - ' . $dumbo_j ,
            'section'         => 'homepage_category_Section',
            'type'            => 'dropdown-taxonomies',
            'taxonomy'        => 'category',

        )));
}
