<?php
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */

function dumbo_widgets_init(){

    register_sidebar( array(
        'name' => esc_html__('Sidebar', 'dumbo'),
        'id' => 'sidebar-1',
        'description' => esc_html__('Add widgets here.', 'dumbo'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2 class="widget-title">',
        'after_title' => '</h2>',
    ));

    $dumbo_default = dumbo_get_default_theme_options();
    $footer_column_layout = absint( get_theme_mod( 'footer_column_layout',$dumbo_default['footer_column_layout'] ) );

    for( $i = 0; $i < $footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','dumbo'); }
    	if( $i == 1 ){ $count = esc_html__('Two','dumbo'); }
    	if( $i == 2 ){ $count = esc_html__('Three','dumbo'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'dumbo').$count,
	        'id' => 'dumbo-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'dumbo'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));

        register_sidebar( array(
            'name' => esc_html__('Offcanvas Widget', 'dumbo'),
            'id' => 'dumbo-offcanvas-widget',
            'description' => esc_html__('Add widgets here.', 'dumbo'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title"><span>',
            'after_title' => '</span></h3>',
        ));
	}

}

add_action('widgets_init', 'dumbo_widgets_init');

/**
 * Widget Base Class.
 */
require get_template_directory() . '/inc/widgets/widget-base-class.php';
/**
 * Recent Post Widget.
 */
require get_template_directory() . '/inc/widgets/recent-post.php';
/**
 * Social Link Widget.
 */
require get_template_directory() . '/inc/widgets/social-link.php';

/**
 * Author Widget.
 */
require get_template_directory() . '/inc/widgets/tab-posts.php';
/**
 * Category Widget.
 */
require get_template_directory() . '/inc/widgets/category.php';