<?php

/**
 * The template for displaying single posts and pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dumbo
 * @since 1.0.0
 */
get_header();
global $post;
$dumbo_ed_post_rating = esc_html(get_post_meta($post->ID, 'dumbo_ed_post_rating', true)); ?>

<div class="wrapper">
    <div class="wrapper-inner">
        <div class="theme-panelarea-container">
            <div class="theme-panelarea">

                <div id="site-contentarea" class="theme-panelarea-primary">
                    <main id="main" class="site-main <?php if ($dumbo_ed_post_rating) {
                                                            echo 'dumbo-no-comment';
                                                        } ?>" role="main">

                        <?php
                        if (have_posts()) : ?>

                            <div class="article-wraper">


                                <?php while (have_posts()) :
                                    the_post();

                                    get_template_part('template-parts/content', 'single');

                                    /**
                                     *  Output comments wrapper if it's a post, or if comments are open,
                                     * or if there's a comment number – and check for password.
                                     **/

                                    if ((is_single() || is_page()) && (comments_open() || get_comments_number()) && !post_password_required()) { ?>

                                        <div class="comments-wrapper">
                                            <?php comments_template(); ?>
                                        </div><!-- .comments-wrapper -->

                                <?php
                                    }

                                endwhile; ?>

                            </div>

                        <?php
                        else :

                            get_template_part('template-parts/content', 'none');

                        endif;

                        /**
                         * Navigation
                         *
                         * @hooked dumbo_post_floating_nav - 10
                         * @hooked dumbo_related_posts - 20
                         * @hooked dumbo_single_post_navigation - 30
                         */

                        do_action('dumbo_navigation_action'); ?>

                    </main>
                </div>

            </div>
        </div>
        <?php get_sidebar(); ?>
    </div>
</div>

<?php
get_footer();
