<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dumbo
 * @since 1.0.0
 */
$dumbo_default = dumbo_get_default_theme_options();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('theme-article'); ?>>
    <div class="post-content">
        <header class="entry-header">
            <h2 class="entry-title entry-title-small">
                <a href="<?php the_permalink(); ?>">
                    <?php the_title(); ?>
                </a>
            </h2>
        </header>
        <?php if (function_exists('has_block') && has_block('audio', get_the_content())) {
            ?>
                <?php
                if (has_post_thumbnail()) {
                    $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                    $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                    <div class="entry-thumbnail">
                        <a href="<?php the_permalink(); ?>">
                            <img src="<?php echo esc_url($featured_image); ?>" title="<?php the_title_attribute(); ?>"
                                 alt="<?php the_title_attribute(); ?>">
                        </a>
                    </div>
                <?php } ?>
                <div class="twp-content-audio">
                    <?php
                    $post_blocks = parse_blocks(get_the_content());
                    if ($post_blocks) {
                        foreach ($post_blocks as $post_block) {
                            if (isset($post_block['blockName']) &&
                                isset($post_block['innerHTML']) &&
                                $post_block['blockName'] == 'core/audio') {
                                echo '<div class="entry-audio">';
                                echo wp_kses_post($post_block['innerHTML']);
                                echo '</div>';
                                break;
                            }
                        }
                    } ?>
                </div>
            <?php
        } else {
            if (has_post_thumbnail()) {
                $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                <div class="entry-thumbnail">
                    <a href="<?php the_permalink(); ?>">
                        <img src="<?php echo esc_url($featured_image); ?>" title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>">
                    </a>
                </div>
                <?php
            } else {
                ?>
                <div class="entry-content-media"></div><?php
            }
        } ?>

        <?php dumbo_excerpt_content(); ?>

        <footer class="theme-article-footer">
            <div class="entry-meta">
                <?php
                dumbo_posted_by();
                ?>
            </div>

            <div class="theme-article-comment">
                <?php 
                if ( ! is_single() && ! post_password_required() && ( comments_open() || get_comments_number() ) ) {
                    echo '<span class="comments-link"><span class="icon meta-icon  ion-ios-chatboxes"></span>';
                    comments_popup_link( esc_html__( 'Leave a comment', 'dumbo' ), esc_html__( '1 Comment', 'dumbo' ), esc_html__( '% Comments', 'dumbo' ) );
                    echo '</span>';
                }
                ?>
            </div>
            <?php if (class_exists( 'Booster_Extension_Class' )) { ?>
                <div class="theme-article-share">
                    <?php echo do_shortcode('[booster-extension-ss layout="layout-2" status="enable"]'); ?>
                </div>
            <?php } ?>
        </footer>
    </div>
</article>