<?php

/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dumbo
 * @since 1.0.0
 */
$dumbo_default = dumbo_get_default_theme_options();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('theme-article'); ?>>

    <?php if (has_post_thumbnail()) {
        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
        $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
        <div class="entry-thumbnail">
            <a href="<?php the_permalink(); ?>" class="data-bg data-bg-small" data-background="<?php echo esc_url($featured_image); ?>"></a>
        </div>
    <?php } ?>

    <div class="post-content">
        <header class="entry-header">

            <div class="entry-meta entry-meta-top">
                <?php dumbo_entry_footer($cats = true, $tags = false, $edits = false); ?>

            </div>

            <h2 class="entry-title entry-title-small line-clamp-2">
                <a href="<?php the_permalink(); ?>">
                    <?php the_title(); ?>
                </a>
            </h2>


            <div class="entry-meta entry-meta-bottom">
                <?php dumbo_posted_on(); ?>
            </div>
        </header>

        <?php dumbo_excerpt_content(); ?>

        <a href="<?php the_permalink(); ?>" class="theme-button">
            <?php echo esc_html__('Continue Reading', 'dumbo'); ?>
        </a>

        <footer class="theme-article-footer">
            <div class="entry-meta">
                <?php
                dumbo_posted_by();
                ?>
            </div>

            <div class="theme-article-comment">
                <?php
                if (!is_single() && !post_password_required() && (comments_open() || get_comments_number())) {
                    echo '<span class="comments-link"><span class="icon meta-icon  ion-ios-chatboxes"></span>';
                    comments_popup_link(esc_html__('Leave a comment', 'dumbo'), esc_html__('1 Comment', 'dumbo'), esc_html__('% Comments', 'dumbo'));
                    echo '</span>';
                }
                ?>
            </div>
            <?php if (class_exists('Booster_Extension_Class')) { ?>
                <div class="theme-article-share">
                    <?php echo do_shortcode('[booster-extension-ss layout="layout-2" status="enable"]'); ?>
                </div>
            <?php } ?>
        </footer>
    </div>
</article>