<?php
/**
 * Header Layout 1
 *
 * @package Dumbo
 */
$dumbo_default = dumbo_get_default_theme_options();
?>
<header id="site-header" class="header-layout" role="banner">

    <div class="header-components">
        <div class="header-wrapper wrapper">
            <div class="header-item header-item-left">
                <div class="navbar-controls hide-no-js">
                    <?php
                    $ed_header_search = get_theme_mod('ed_header_search', $dumbo_default['ed_header_search']);
                    if ($ed_header_search) { ?>
                        <button type="button" class="navbar-control theme-action-control navbar-control-search">
                     <span class="action-control-trigger" tabindex="-1">
                        <?php dumbo_the_theme_svg('search'); ?>
                     </span>
                        </button>
                    <?php } ?>
                    <button type="button"
                            class="navbar-control theme-action-control navbar-control-offcanvas hidden-md-screen">
                         <span class="action-control-trigger" tabindex="-1">
                            <?php dumbo_the_theme_svg('menu'); ?>
                         </span>
                    </button>
                </div>
            </div>

            <div class="header-item header-item-center">
                <div class="header-titles">
                    <?php
                    // Site title or logo.
                    dumbo_site_logo();
                    // Site description.
                    dumbo_site_description();
                    ?>
                </div>
            </div>

            <div class="header-item header-item-right">
                <?php if (has_nav_menu('dumbo-social-menu')) { ?>
                    <div class="header-item header-item-center">
                        <div id="top-bar-social" class="theme-social-navigation assist-social-navigation">

                            <?php
                            wp_nav_menu(array(
                                'theme_location' => 'dumbo-social-menu',
                                'link_before' => '<span class="social-menu-text">',
                                'link_after' => '</span>',
                                'container' => 'div',
                                'container_class' => 'social-menu',
                                'depth' => 1,
                            )); ?>

                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
    <div class="navbar-components">
        <div class="header-wrapper wrapper">
            <div class="header-item header-item-left">
                <?php if (is_active_sidebar('dumbo-offcanvas-widget')): ?>
                    <div id="widgets-nav" class="icon-sidr">
                        <button id="hamburger-one" class="navbar-control">
                                <span class="navbar-control-trigger" tabindex="-1">
                                    <span class="hamburger-wrapper">
                                        <span class="hamburger-inner"></span>
                                    </span>
                                </span>
                        </button>
                    </div>
                <?php endif; ?>
            </div>

            <div class="header-item header-item-center">
                <div class="site-navigation">
                    <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'dumbo'); ?>"
                         role="navigation">
                        <ul class="primary-menu">
                            <?php
                            if (has_nav_menu('dumbo-primary-menu')) {
                                wp_nav_menu(
                                    array(
                                        'container' => '',
                                        'items_wrap' => '%3$s',
                                        'theme_location' => 'dumbo-primary-menu',
                                        'depth'     => 3,
                                    )
                                );
                            } else {
                                wp_list_pages(
                                    array(
                                        'match_menu_classes' => true,
                                        'show_sub_menu_icons' => true,
                                        'title_li' => false,
                                        'depth'   => 3,
                                        'walker' => new Dumbo_Walker_Page(),
                                    )
                                );
                            } ?>
                        </ul>
                    </nav><!-- .primary-menu-wrapper -->
                </div><!-- .site-navigation -->
            </div>
        </div>
    </div>
</header>